package cn.com.tenlion.materialstore.pojo.vos.materialdata;

import cn.com.tenlion.materialstore.pojo.vos.materialaudio.MaterialAudioVO;
import cn.com.tenlion.materialstore.pojo.vos.materiallink.MaterialLinkVO;
import cn.com.tenlion.materialstore.pojo.vos.materialmap.MaterialMapVO;
import cn.com.tenlion.materialstore.pojo.vos.materialphoto.MaterialPhotoVO;
import cn.com.tenlion.materialstore.pojo.vos.materialtext.MaterialTextVO;
import cn.com.tenlion.materialstore.pojo.vos.materialvideo.MaterialVideoVO;
import io.swagger.annotations.ApiModelProperty;
import java.util.ArrayList;
import java.util.List;

public class MaterialDataVO {

    @ApiModelProperty(name = "text", value = "文字素材")
    private List<MaterialTextVO> text;
    @ApiModelProperty(name = "photo", value = "图片素材")
    private List<MaterialPhotoVO> photo;
    @ApiModelProperty(name = "audio", value = "音频素材")
    private List<MaterialAudioVO> audio;
    @ApiModelProperty(name = "video", value = "视频素材")
    private List<MaterialVideoVO> video;
    @ApiModelProperty(name = "map", value = "经纬度素材")
    private List<MaterialMapVO> map;
    @ApiModelProperty(name = "link", value = "链接素材")
    private List<MaterialLinkVO> link;
    @ApiModelProperty(name = "materialId", value = "素材包ID")
    private String materialId;

    public String getMaterialId() {
        return materialId == null ? "" : materialId;
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public List<MaterialTextVO> getText() {
        if (text == null) {
            return new ArrayList<>();
        }
        return text;
    }

    public void setText(List<MaterialTextVO> text) {
        this.text = text;
    }

    public List<MaterialPhotoVO> getPhoto() {
        if (photo == null) {
            return new ArrayList<>();
        }
        return photo;
    }

    public void setPhoto(List<MaterialPhotoVO> photo) {
        this.photo = photo;
    }

    public List<MaterialAudioVO> getAudio() {
        if (audio == null) {
            return new ArrayList<>();
        }
        return audio;
    }

    public void setAudio(List<MaterialAudioVO> audio) {
        this.audio = audio;
    }

    public List<MaterialVideoVO> getVideo() {
        if (video == null) {
            return new ArrayList<>();
        }
        return video;
    }

    public void setVideo(List<MaterialVideoVO> video) {
        this.video = video;
    }

    public List<MaterialMapVO> getMap() {
        if (map == null) {
            return new ArrayList<>();
        }
        return map;
    }

    public void setMap(List<MaterialMapVO> map) {
        this.map = map;
    }

    public List<MaterialLinkVO> getLink() {
        if (link == null) {
            return new ArrayList<>();
        }
        return link;
    }

    public void setLink(List<MaterialLinkVO> link) {
        this.link = link;
    }
}
